{-# LANGUAGE DerivingStrategies #-}
module Ubc.Parse.Syntax.Generic
( Generic(..)
, parse
)
where

import qualified Ubc.Parse.Syntax.Language as Language
import Control.Monad ((<$!>))
import Text.Parsec (ParsecT)
import Ubc.Parse.Syntax (Token)

data Generic = Generic
        { name :: Token
        }
        deriving stock (Show)

parse :: Monad m => ParsecT Token u m Generic
parse = Generic <$!> Language.identifier
