{-# LANGUAGE OverloadedStrings #-}
module Ubc.Parse.Syntax.VariableType
(VariableType(..)
, fromString
)
where
import Ubc.Parse.Syntax (Token)

data VariableType = BuiltInI32 
        | BuiltInU32 
        | BuiltInF32 
        | UserStruct Token
        deriving (Show, Eq)

fromString :: Token -> VariableType
fromString "i32" = BuiltInI32
fromString "u32" = BuiltInU32
fromString "f32" = BuiltInF32
fromString s     = UserStruct s
